package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairNoticeSetting;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.NoticePageVo;

import java.text.ParseException;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-11
 */
public interface RepairNoticeSettingService extends IService<RepairNoticeSetting> {
    int insertRepairNoticeSetting(RepairNoticeSetting rns);

    int updateRepairNoticeSetting(RepairNoticeSetting rns);

    PageUtils<NoticePageVo> queryPageRepairNoticeSettings(int currentPage, int pageCount, String createTime) throws ParseException;

    int deleteRepairNoticeSettingById(int id);

    RepairNoticeSetting getRepairById(int id);

    List<RepairNoticeSetting> getRepairNotices();
}
